Skip to content
View Markdown

Update an actor endpoint

PATCH/v1/actor/{name}
PATCH
/v1/actor/{name}
curl --request PATCH \
--url https://api.wabe.sh/v1/actor/chat \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "endpoint": "https://chat.example.com/wabe" }'
name
required
string
/^[A-Za-z0-9_-]{1,128}$/

Example

chat

Registration name in the current project.

Media typeapplication/json
object
>= 1 properties
endpoint

Public HTTPS endpoint with a DNS hostname. A path is allowed. Omit credentials, query and fragment.

string format: uri
endpointSecret

Shared secret used to authenticate the Wabe broker to your handler.

string
/^[A-Za-z0-9_-]{32,256}$/

Example

{
"endpoint": "https://chat.example.com/wabe"
}

Updated registration.

Media typeapplication/json
object
id
required
string format: uuid

Example

779742ad-cd09-4e1c-9170-f20968b344d4
name
required
string
/^[A-Za-z0-9_-]{1,128}$/

Example

chat
disk

Optional default disk for the public invocation URL.

string
/^[A-Za-z0-9_-]{1,128}$/

Example

chat-state
endpoint
required
string format: uri

Example

https://chat.example.com/wabe
fetchUrlTemplate
required
string

Example

https://api.wabe.sh/v1/actor/chat/disks/{disk}/instances/{instance}/fetch

Invalid update.

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string

Missing, invalid or revoked project API key.

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string

Registration not found in this project.

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string

Actor API temporarily unavailable.

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string